/* Copyright (c) 2010 by Lawrence Livermore National Security, LLC.  
Produced at the Lawrence Livermore National Laboratory.  Written 
by Weirong Jiang.

LLNL-CODE-433968 All rights reserved.

This file is part of the Locality Sensitive Hashing -based traffic classifier (LSH-TC).

Please also read Our Notice and GNU General Public License that came with this distribution.  

This program is free software; you can redistribute it and/or modify it 
under the terms of the GNU General Public License (as published by the 
Free Software Foundation) version 2, dated June 1991.  

This program is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even the IMPLIED WARRANTY OF 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
terms and conditions of the GNU General Public License for more details.  

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software Foundation, 
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    13:41:13 02/24/2010 
// Design Name: 
// Module Name:    hammdistance 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module hammd_test(dia, dib, dout);
	 
parameter FEATURE_W = 8; // # of bits per feature
parameter DISTANCE_W = 4; //Hamming: log2(FEATURE_W); 

input [FEATURE_W*2-1:0] dia, dib;
output [DISTANCE_W-1:0] dout;

assign dout = hammd(dia[FEATURE_W*2-1:FEATURE_W], dib[FEATURE_W*2-1:FEATURE_W]) 
				+ hammd(dia[FEATURE_W-1:0], dib[FEATURE_W-1:0]);

// Compute the hamming distance
function [DISTANCE_W-1:0] hammd;
	input [FEATURE_W-1:0] dia, dib;
	reg [FEATURE_W-1:0] axorb;
	reg [DISTANCE_W-1:0] temp;
	integer i;
	begin
		axorb = dia ^ dib;
		temp = 0;
		for(i = 0; i < FEATURE_W; i = i+1) begin
			temp = temp + axorb[i];
		end
		hammd = temp;
	end
endfunction

endmodule
