/* Copyright (c) 2010 by Lawrence Livermore National Security, LLC.  
Produced at the Lawrence Livermore National Laboratory.  Written 
by Weirong Jiang.

LLNL-CODE-433968 All rights reserved.

This file is part of the Locality Sensitive Hashing -based traffic classifier (LSH-TC).

Please also read Our Notice and GNU General Public License that came with this distribution.  

This program is free software; you can redistribute it and/or modify it 
under the terms of the GNU General Public License (as published by the 
Free Software Foundation) version 2, dated June 1991.  

This program is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even the IMPLIED WARRANTY OF 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
terms and conditions of the GNU General Public License for more details.  

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software Foundation, 
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   11:52:32 05/03/2010
// Design Name:   ml555_top
// Module Name:   C:/Documents and Settings/jiang7/My Documents/Research/Classification/ApplicationIdentificationKNN/ise/lshc/ml555_tb.v
// Project Name:  lshc
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: ml555_top
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module ml555_tb;

	// Inputs
	reg CLK125_P;
	reg SYS_RESET_IN;

	// Outputs
	wire [7:0] r_addr;

	// Instantiate the Unit Under Test (UUT)
	ml555_top uut (
		.CLK125_P(CLK125_P), 
		.SYS_RESET_IN(SYS_RESET_IN), 
		.r_addr(r_addr)
	);

	initial begin
		// Initialize Inputs
		CLK125_P = 0;
		SYS_RESET_IN = 0;

		// Wait 100 ns for global reset to finish
		#100;
		@(negedge CLK125_P);
		SYS_RESET_IN = 1;
        
		// Add stimulus here
		repeat (20) @(posedge CLK125_P);
		$finish;

	end
	
	always #4 CLK125_P = ~CLK125_P;
	
	
      
endmodule

