/* Copyright (c) 2010 by Lawrence Livermore National Security, LLC.  
Produced at the Lawrence Livermore National Laboratory.  Written 
by Weirong Jiang.

LLNL-CODE-433968 All rights reserved.

This file is part of the Locality Sensitive Hashing -based traffic classifier (LSH-TC).

Please also read Our Notice and GNU General Public License that came with this distribution.  

This program is free software; you can redistribute it and/or modify it 
under the terms of the GNU General Public License (as published by the 
Free Software Foundation) version 2, dated June 1991.  

This program is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even the IMPLIED WARRANTY OF 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
terms and conditions of the GNU General Public License for more details.  

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software Foundation, 
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   12:33:41 02/26/2010
// Design Name:   sorting
// Module Name:   C:/Documents and Settings/jiang7/My Documents/Research/Classification/ApplicationIdentificationKNN/lshc/sorting_tb.v
// Project Name:  lshc
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: sorting
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module sorting_tb;

	// Inputs
	reg [31:0] idi;
	reg [95:0] vi;
	reg clk;

	// Outputs
	wire [31:0] ido;

	// Instantiate the Unit Under Test (UUT)
	sorting uut (
		.idi(idi), 
		.vi(vi), 
		.clk(clk), 
		.ido(ido)
	);

	initial begin
		// Initialize Inputs
		idi = 0;
		vi = 0;
		clk = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		idi =	32'b00011011000110110001101100011011;
		vi =	{6'h1F, 6'h1D, 6'h1A, 6'h00, 6'h1F, 6'h1B, 6'h15, 6'h10, 6'h0F, 6'h0D, 6'h0A, 6'h08, 6'h0E, 6'h0B, 6'h05, 6'h00}; 

		#500 $finish;
	end
	
	// clock
	always begin
		#5 clk = ~clk;
	end
      
endmodule

